com.tibco.bpm.service.connector

## Class BusinessDataServicesPublicService

- java.lang.Object
- - com.tibco.bpm.service.connector.BusinessDataServicesPublicService

- All Implemented Interfaces:
    BusinessDataServicesPublicService

      public class BusinessDataServicesPublicService
      extends java.lang.Object
      implements BusinessDataServicesPublicService

  Provides access to the BusinessDataServicesPublicService interfaces.

  ©2013 TIBCO Software Inc.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `createCase(java.lang.String caseModelVersion, java.lang.String caseType, java.lang.String[] casePayloadArray)` Persists a new Global Data case object returning a reference that can be used to refer to it in future
    `long` | `createDataView(com.tibco.bds.api.ViewSpecification viewSpecification, java.lang.String[] categoryArray)` Saves the supplied data view and returns a new unique ID
    `org.apache.xmlbeans.XmlObject` | `deleteCaseByCID(java.lang.String caseModelVersion, java.lang.String caseType, java.lang.String[] casePayloadArray)` Deletes a Global Data case object using payload containing CIDs
    `org.apache.xmlbeans.XmlObject` | `deleteCaseByRef(java.lang.String[] caseReferenceArray)` Deletes a Global Data case object using the given reference
    `org.apache.xmlbeans.XmlObject` | `deleteDataView(long viewID)` Deletes a saved view
    `org.apache.xmlbeans.XmlObject` | `deleteDataView(java.lang.String viewName)` Deletes a saved view
    `org.apache.xmlbeans.XmlObject` | `editDataView(java.lang.Long viewID, com.tibco.bds.api.ViewSpecification viewSpecification, java.lang.String[] category)` Updates an existing saved view with the supplied definition.
    `java.lang.String[]` | `findAllCases(java.lang.String caseModelVersion, java.lang.String caseType)` Finds all Global Case Data objects of a specified type
    `com.tibco.bds.api.SearchResults` | `findAllCases(java.lang.String caseModelVersion, java.lang.String caseType, com.tibco.bds.api.PaginationOptions queryOptions)` Finds all Global Case Data objects of a specified type
    `java.lang.String` | `findCaseByCID(java.lang.String caseModelVersion, java.lang.String caseType, java.lang.String casePayload)` Find case by Case Identifier (CID)
    `com.tibco.bds.api.SearchResults` | `findCaseByCriteria(java.lang.String caseModelVersion, java.lang.String caseType, com.tibco.bds.api.CaseCriteriaType criteria)` Find case by Criteria - finds BDS Global Object(s) using criteria
    `java.lang.String[]` | `findCaseByExample(java.lang.String caseModelVersion, java.lang.String caseType, java.lang.String casePayload)` Find case by example - looks for a case using the searchable attributes set in the passed payload
    `com.tibco.bds.api.SearchResults` | `findCaseByExample(java.lang.String caseModelVersion, java.lang.String caseType, java.lang.String casePayload, com.tibco.bds.api.PaginationOptions queryOptions)` Find case by example - looks for a case using the searchable attributes set in the passed payload
    `com.tibco.bds.api.SearchResults` | `getCaseReferencesForDataView(long viewID)` Gets GORefs for objects matching the given view
    `com.tibco.bds.api.SearchResults` | `getCaseReferencesForDataView(long viewID, com.tibco.bds.api.NamedParameterAssignment[] namedParameterAssignmentArray, com.tibco.bds.api.SortAttribute[] sortAttributeArray, com.tibco.bds.api.PaginationOptions paginationOptions)` Gets GORefs for objects matching the given view
    `com.tibco.bds.api.SearchResults` | `getCaseReferencesForDataView(java.lang.String viewName)` Gets GORefs for objects matching the given view
    `com.tibco.bds.api.SearchResults` | `getCaseReferencesForDataView(java.lang.String viewName, com.tibco.bds.api.NamedParameterAssignment[] namedParameterAssignmentArray, com.tibco.bds.api.SortAttribute[] sortAttributeArray, com.tibco.bds.api.PaginationOptions paginationOptions)` Gets GORefs for objects matching the given view
    `com.tibco.bds.api.SearchResults` | `getCaseReferencesForDataView(com.tibco.bds.api.ViewDetails viewDetails)` Gets GORefs for objects matching the supplied adhoc view
    `com.tibco.bds.api.SearchResults` | `getCaseReferencesForDataView(com.tibco.bds.api.ViewDetails viewDetails, com.tibco.bds.api.NamedParameterAssignment[] namedParameterAssignmentArray, com.tibco.bds.api.SortAttribute[] sortAttributeArray, com.tibco.bds.api.PaginationOptions paginationOptions)` Gets GORefs for objects matching the supplied adhoc view
    `com.tibco.bds.api.CaseState[]` | `getCaseState(java.lang.String[] caseReference, boolean includeAllowedValues)` For a given case or cases, gets the value of its case state attribute, optionally also returning all possible allowed values.
    `com.tibco.bds.api.CaseReferenceWithSummaryDetailsType[]` | `getCaseSummary(java.lang.String[] caseReference)` Retrieves the definition of an existing saved view.
    `com.tibco.bds.api.CaseReferenceWithSummaryDetailsType[]` | `getCaseSummary(java.lang.String[] caseReference, boolean includeLabelAndType)` Retrieves the definition of an existing saved view.
    `java.lang.String[]` | `getDataViewCategories(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails)` Gets the names of view category(s)
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.AppDetails appDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.AppDetails appDetails, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.AppDetails appDetails, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails, boolean includeCategories)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.CaseClassDetails caseClassDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.CaseClassDetails caseClassDetails, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.CaseClassDetails caseClassDetails, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails, boolean includeCategories)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails, boolean includeCategories)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(long viewID)` Retrieves the definition of an existing saved view.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(java.lang.Long viewID, java.lang.String viewName, com.tibco.bds.api.AppDetails appDetails, com.tibco.bds.api.CaseClassDetails caseClassDetails, com.tibco.bds.api.CategorySearchDetails[] categoryArray, com.tibco.bds.api.Uncategorized uncategorized)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(java.lang.Long viewID, java.lang.String viewName, com.tibco.bds.api.AppDetails appDetails, com.tibco.bds.api.CaseClassDetails caseClassDetails, com.tibco.bds.api.CategorySearchDetails[] categoryArray, com.tibco.bds.api.Uncategorized uncategorized, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(java.lang.Long viewID, java.lang.String viewName, com.tibco.bds.api.AppDetails appDetails, com.tibco.bds.api.CaseClassDetails caseClassDetails, com.tibco.bds.api.CategorySearchDetails[] categoryArray, com.tibco.bds.api.Uncategorized uncategorized, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails, boolean includeCategories)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(long viewID, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails)` Retrieves the definition of an existing saved view.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(long viewID, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails, boolean includeCategories)` Retrieves the definition of an existing saved view.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(java.lang.String viewName)` Retrieves the definition of an existing saved view.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(java.lang.String viewName, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails)` Retrieves the definition of an existing saved view.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(java.lang.String viewName, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails, boolean includeCategories)` Retrieves the definition of an existing saved view.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.Uncategorized uncategorized)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.ViewSpecificationWithID[]` | `getDataViewDetails(com.tibco.bds.api.Uncategorized uncategorised, com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement, boolean includeAppDetails)` Retrieves the definition of an existing saved view or views.
    `com.tibco.bds.api.LinkResponseType` | `linkCase(java.lang.String sourceCaseReference, java.lang.String[] targetCaseReferenceArray, java.lang.String targetRoleName)` Link case - links an object to a number of others using a given relationship
    `java.lang.String[]` | `navigateCase(java.lang.String sourceCaseReference, java.lang.String targetRoleName)` Navigate case - navigates from an object using a given relationship
    `com.tibco.bds.api.SearchResults` | `navigateCase(java.lang.String sourceCaseReference, java.lang.String targetRoleName, com.tibco.bds.api.PaginationOptions queryOptions)` Navigate case - navigates from an object using a given relationship
    `com.tibco.bds.api.SearchResults` | `navigateCaseByCriteria(java.lang.String sourceCaseReference, java.lang.String targetRoleName, com.tibco.bds.api.CaseCriteriaType targetCaseCriteria)` Navigate case - navigates from an object using a given relationship and criteria
    `com.tibco.bds.api.NavigateCaseDetailedResponseType` | `navigateCaseDetailed(java.lang.String sourceCaseReference, java.lang.String targetRoleName, com.tibco.bds.api.PaginationOptions queryOptions, boolean includeLabelAndType, boolean includeSummary)` Navigates association links from the given source object for all roles or a single role, with ability to include case summary in response.
    `com.tibco.bds.api.CaseDataType[]` | `readCase(java.lang.String[] caseReferenceArray)` Retrieves a Global Data case object using the given reference
    `com.tibco.bds.api.CaseDataType[]` | `readCase(java.lang.String[] caseReferenceArray, boolean includeCaseMetaData)` Retrieves a Global Data case object using the given reference
    `com.tibco.bds.api.LinkResponseType` | `unlinkCase(java.lang.String sourceCaseReference, java.lang.String[] targetCaseReferenceArray, java.lang.String targetRoleName)` Unlink case - unlinks an object from a number of others using a given relationship
    `java.lang.String[]` | `updateCase(com.tibco.bds.api.CaseDataType[] caseData)` Updates a Global Data case object using the given reference and payload

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createCase

          public java.lang.String[] createCase(java.lang.String caseModelVersion,
                                               java.lang.String caseType,
                                               java.lang.String[] casePayloadArray)
                                        throws com.tibco.bds.services.CaseDataAccessFault,
                                               com.tibco.bds.services.CaseModelReferenceFault,
                                               com.tibco.bds.services.InternalServiceFault,
                                               com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Persists a new Global Data case object returning a reference that can be used to refer to it in future
      Specified by:
        `createCase` in interface `BusinessDataServicesPublicService`
      Returns:
        Reference to the persisted object
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### readCase

          public com.tibco.bds.api.CaseDataType[] readCase(java.lang.String[] caseReferenceArray)
                                                    throws com.tibco.bds.services.CaseDataAccessFault,
                                                           com.tibco.bds.services.CaseModelReferenceFault,
                                                           com.tibco.bds.services.CaseReferenceFault,
                                                           com.tibco.bds.services.InternalServiceFault,
                                                           com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves a Global Data case object using the given reference
      Specified by:
        `readCase` in interface `BusinessDataServicesPublicService`
      Returns:
        An array of CaseData objects, each of which contains a reference and payload
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### readCase

          public com.tibco.bds.api.CaseDataType[] readCase(java.lang.String[] caseReferenceArray,
                                                           boolean includeCaseMetaData)
                                                    throws com.tibco.bds.services.CaseDataAccessFault,
                                                           com.tibco.bds.services.CaseModelReferenceFault,
                                                           com.tibco.bds.services.CaseReferenceFault,
                                                           com.tibco.bds.services.InternalServiceFault,
                                                           com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves a Global Data case object using the given reference
      Specified by:
        `readCase` in interface `BusinessDataServicesPublicService`
      Returns:
        An array of CaseData objects, each of which contains a reference and payload
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### updateCase

          public java.lang.String[] updateCase(com.tibco.bds.api.CaseDataType[] caseData)
                                        throws com.tibco.bds.services.CaseDataAccessFault,
                                               com.tibco.bds.services.CaseModelReferenceFault,
                                               com.tibco.bds.services.CaseReferenceFault,
                                               com.tibco.bds.services.InternalServiceFault,
                                               com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Updates a Global Data case object using the given reference and payload
      Specified by:
        `updateCase` in interface `BusinessDataServicesPublicService`
      Returns:
        Reference to the persisted object
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### deleteCaseByRef

          public org.apache.xmlbeans.XmlObject deleteCaseByRef(java.lang.String[] caseReferenceArray)
                                                        throws com.tibco.bds.services.CaseDataAccessFault,
                                                               com.tibco.bds.services.CaseModelReferenceFault,
                                                               com.tibco.bds.services.CaseReferenceFault,
                                                               com.tibco.bds.services.InternalServiceFault,
                                                               com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Deletes a Global Data case object using the given reference
      Specified by:
        `deleteCaseByRef` in interface `BusinessDataServicesPublicService`
      Returns:
        void
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### deleteCaseByCID

          public org.apache.xmlbeans.XmlObject deleteCaseByCID(java.lang.String caseModelVersion,
                                                               java.lang.String caseType,
                                                               java.lang.String[] casePayloadArray)
                                                        throws com.tibco.bds.services.CaseDataAccessFault,
                                                               com.tibco.bds.services.CaseModelReferenceFault,
                                                               com.tibco.bds.services.CaseReferenceFault,
                                                               com.tibco.bds.services.InternalServiceFault,
                                                               com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Deletes a Global Data case object using payload containing CIDs
      Specified by:
        `deleteCaseByCID` in interface `BusinessDataServicesPublicService`
      Returns:
        void
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### findAllCases

          public java.lang.String[] findAllCases(java.lang.String caseModelVersion,
                                                 java.lang.String caseType)
                                          throws com.tibco.bds.services.CaseDataAccessFault,
                                                 com.tibco.bds.services.CaseModelReferenceFault,
                                                 com.tibco.bds.services.InternalServiceFault,
                                                 com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Finds all Global Case Data objects of a specified type
      Specified by:
        `findAllCases` in interface `BusinessDataServicesPublicService`
      Returns:
        String[] Array of Case References
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### findCaseByCID

          public java.lang.String findCaseByCID(java.lang.String caseModelVersion,
                                                java.lang.String caseType,
                                                java.lang.String casePayload)
                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                com.tibco.bds.services.InternalServiceFault,
                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Find case by Case Identifier (CID)
      Specified by:
        `findCaseByCID` in interface `BusinessDataServicesPublicService`
      Returns:
        String Case Reference
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### findCaseByExample

          public java.lang.String[] findCaseByExample(java.lang.String caseModelVersion,
                                                      java.lang.String caseType,
                                                      java.lang.String casePayload)
                                               throws com.tibco.bds.services.CaseDataAccessFault,
                                                      com.tibco.bds.services.CaseModelReferenceFault,
                                                      com.tibco.bds.services.InternalServiceFault,
                                                      com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Find case by example - looks for a case using the searchable attributes set in the passed payload
      Specified by:
        `findCaseByExample` in interface `BusinessDataServicesPublicService`
      Returns:
        String[] Array of Case References
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### linkCase

          public com.tibco.bds.api.LinkResponseType linkCase(java.lang.String sourceCaseReference,
                                                             java.lang.String[] targetCaseReferenceArray,
                                                             java.lang.String targetRoleName)
                                                      throws com.tibco.bds.services.CaseDataAccessFault,
                                                             com.tibco.bds.services.CaseModelReferenceFault,
                                                             com.tibco.bds.services.CaseReferenceFault,
                                                             com.tibco.bds.services.InternalServiceFault,
                                                             com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Link case - links an object to a number of others using a given relationship
      Specified by:
        `linkCase` in interface `BusinessDataServicesPublicService`
      Returns:
        String Updated source Case Reference
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### unlinkCase

          public com.tibco.bds.api.LinkResponseType unlinkCase(java.lang.String sourceCaseReference,
                                                               java.lang.String[] targetCaseReferenceArray,
                                                               java.lang.String targetRoleName)
                                                        throws com.tibco.bds.services.CaseDataAccessFault,
                                                               com.tibco.bds.services.CaseModelReferenceFault,
                                                               com.tibco.bds.services.CaseReferenceFault,
                                                               com.tibco.bds.services.InternalServiceFault,
                                                               com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Unlink case - unlinks an object from a number of others using a given relationship
      Specified by:
        `unlinkCase` in interface `BusinessDataServicesPublicService`
      Returns:
        String Updated source Case Reference
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### navigateCase

          public java.lang.String[] navigateCase(java.lang.String sourceCaseReference,
                                                 java.lang.String targetRoleName)
                                          throws com.tibco.bds.services.CaseDataAccessFault,
                                                 com.tibco.bds.services.CaseModelReferenceFault,
                                                 com.tibco.bds.services.CaseReferenceFault,
                                                 com.tibco.bds.services.InternalServiceFault,
                                                 com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Navigate case - navigates from an object using a given relationship
      Specified by:
        `navigateCase` in interface `BusinessDataServicesPublicService`
      Returns:
        String[] array of linked source Case References
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### findCaseByCriteria

          public com.tibco.bds.api.SearchResults findCaseByCriteria(java.lang.String caseModelVersion,
                                                                    java.lang.String caseType,
                                                                    com.tibco.bds.api.CaseCriteriaType criteria)
                                                             throws com.tibco.bds.services.CaseDataAccessFault,
                                                                    com.tibco.bds.services.CaseModelReferenceFault,
                                                                    com.tibco.bds.services.CaseReferenceFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Find case by Criteria - finds BDS Global Object(s) using criteria
      Specified by:
        `findCaseByCriteria` in interface `BusinessDataServicesPublicService`
      Returns:
        String[] array of Case References
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### navigateCaseByCriteria

          public com.tibco.bds.api.SearchResults navigateCaseByCriteria(java.lang.String sourceCaseReference,
                                                                        java.lang.String targetRoleName,
                                                                        com.tibco.bds.api.CaseCriteriaType targetCaseCriteria)
                                                                 throws com.tibco.bds.services.CaseDataAccessFault,
                                                                        com.tibco.bds.services.CaseModelReferenceFault,
                                                                        com.tibco.bds.services.CaseReferenceFault,
                                                                        com.tibco.bds.services.InternalServiceFault,
                                                                        com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Navigate case - navigates from an object using a given relationship and criteria
      Specified by:
        `navigateCaseByCriteria` in interface `BusinessDataServicesPublicService`
      Returns:
        String[] array of linked source Case References
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### createDataView

          public long createDataView(com.tibco.bds.api.ViewSpecification viewSpecification,
                                     java.lang.String[] categoryArray)
                              throws com.tibco.bds.services.CaseDataAccessFault,
                                     com.tibco.bds.services.CaseModelReferenceFault,
                                     com.tibco.bds.services.CaseReferenceFault,
                                     com.tibco.bds.services.InternalServiceFault,
                                     com.tibco.bds.services.InvalidDataFault,
                                     com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Saves the supplied data view and returns a new unique ID
      Specified by:
        `createDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewSpecification` - specification of the view to create
        `categoryArray` - optional category(s) to associate the view with
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.SecurityFault`

    - #### deleteDataView

          public org.apache.xmlbeans.XmlObject deleteDataView(long viewID)
                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                              com.tibco.bds.services.CaseReferenceFault,
                                                              com.tibco.bds.services.DataViewReferenceFault,
                                                              com.tibco.bds.services.InternalServiceFault,
                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Deletes a saved view
      Specified by:
        `deleteDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view to delete
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.DataViewReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### deleteDataView

          public org.apache.xmlbeans.XmlObject deleteDataView(java.lang.String viewName)
                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                              com.tibco.bds.services.CaseReferenceFault,
                                                              com.tibco.bds.services.DataViewReferenceFault,
                                                              com.tibco.bds.services.InternalServiceFault,
                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Deletes a saved view
      Specified by:
        `deleteDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewName` - name of the view to delete
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.DataViewReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### editDataView

          public org.apache.xmlbeans.XmlObject editDataView(java.lang.Long viewID,
                                                            com.tibco.bds.api.ViewSpecification viewSpecification,
                                                            java.lang.String[] category)
                                                     throws com.tibco.bds.services.CaseDataAccessFault,
                                                            com.tibco.bds.services.CaseModelReferenceFault,
                                                            com.tibco.bds.services.CaseReferenceFault,
                                                            com.tibco.bds.services.InternalServiceFault,
                                                            com.tibco.bds.services.InvalidDataFault,
                                                            com.tibco.bds.services.DataViewReferenceFault,
                                                            com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Updates an existing saved view with the supplied definition.
      Specified by:
        `editDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the existing view to replace
        `viewSpecification` - new specification for the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.InvalidDataFault`
        `com.tibco.bds.services.DataViewReferenceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseReferencesForDataView

          public com.tibco.bds.api.SearchResults getCaseReferencesForDataView(long viewID)
                                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                                              com.tibco.bds.services.CaseReferenceFault,
                                                                              com.tibco.bds.services.InternalServiceFault,
                                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Gets GORefs for objects matching the given view
      Specified by:
        `getCaseReferencesForDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
      Returns:
        search results
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseReferencesForDataView

          public com.tibco.bds.api.SearchResults getCaseReferencesForDataView(long viewID,
                                                                              com.tibco.bds.api.NamedParameterAssignment[] namedParameterAssignmentArray,
                                                                              com.tibco.bds.api.SortAttribute[] sortAttributeArray,
                                                                              com.tibco.bds.api.PaginationOptions paginationOptions)
                                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                                              com.tibco.bds.services.CaseReferenceFault,
                                                                              com.tibco.bds.services.InternalServiceFault,
                                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Gets GORefs for objects matching the given view
      Specified by:
        `getCaseReferencesForDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
        `namedParameterAssignmentArray` - name/values for named parameter assignments
        `sortAttributeArray` - sort attributes
        `paginationOptions` - pagination options
      Returns:
        search results
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseReferencesForDataView

          public com.tibco.bds.api.SearchResults getCaseReferencesForDataView(java.lang.String viewName)
                                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                                              com.tibco.bds.services.CaseReferenceFault,
                                                                              com.tibco.bds.services.InternalServiceFault,
                                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Gets GORefs for objects matching the given view
      Specified by:
        `getCaseReferencesForDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewName` - name of the view
      Returns:
        search results
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseReferencesForDataView

          public com.tibco.bds.api.SearchResults getCaseReferencesForDataView(java.lang.String viewName,
                                                                              com.tibco.bds.api.NamedParameterAssignment[] namedParameterAssignmentArray,
                                                                              com.tibco.bds.api.SortAttribute[] sortAttributeArray,
                                                                              com.tibco.bds.api.PaginationOptions paginationOptions)
                                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                                              com.tibco.bds.services.CaseReferenceFault,
                                                                              com.tibco.bds.services.InternalServiceFault,
                                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Gets GORefs for objects matching the given view
      Specified by:
        `getCaseReferencesForDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewName` - name of the view
        `namedParameterAssignmentArray` - name/values for named parameter assignments
        `sortAttributeArray` - sort attributes
        `paginationOptions` - pagination options
      Returns:
        search results
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseReferencesForDataView

          public com.tibco.bds.api.SearchResults getCaseReferencesForDataView(com.tibco.bds.api.ViewDetails viewDetails)
                                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                                              com.tibco.bds.services.CaseReferenceFault,
                                                                              com.tibco.bds.services.InternalServiceFault,
                                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Gets GORefs for objects matching the supplied adhoc view
      Specified by:
        `getCaseReferencesForDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewDetails` - details of the view
      Returns:
        search results
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseReferencesForDataView

          public com.tibco.bds.api.SearchResults getCaseReferencesForDataView(com.tibco.bds.api.ViewDetails viewDetails,
                                                                              com.tibco.bds.api.NamedParameterAssignment[] namedParameterAssignmentArray,
                                                                              com.tibco.bds.api.SortAttribute[] sortAttributeArray,
                                                                              com.tibco.bds.api.PaginationOptions paginationOptions)
                                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                                              com.tibco.bds.services.CaseReferenceFault,
                                                                              com.tibco.bds.services.InternalServiceFault,
                                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Gets GORefs for objects matching the supplied adhoc view
      Specified by:
        `getCaseReferencesForDataView` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewDetails` - details of the view
        `namedParameterAssignmentArray` - name/values for named parameter assignments
        `sortAttributeArray` - sort attributes
        `paginationOptions` - pagination options
      Returns:
        search results
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewCategories

          public java.lang.String[] getDataViewCategories(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails)
                                                   throws com.tibco.bds.services.CaseDataAccessFault,
                                                          com.tibco.bds.services.CaseModelReferenceFault,
                                                          com.tibco.bds.services.CaseReferenceFault,
                                                          com.tibco.bds.services.InternalServiceFault,
                                                          com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Gets the names of view category(s)
      Specified by:
        `getDataViewCategories` in interface `BusinessDataServicesPublicService`
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(java.lang.Long viewID,
                                                                                java.lang.String viewName,
                                                                                com.tibco.bds.api.AppDetails appDetails,
                                                                                com.tibco.bds.api.CaseClassDetails caseClassDetails,
                                                                                com.tibco.bds.api.CategorySearchDetails[] categoryArray,
                                                                                com.tibco.bds.api.Uncategorized uncategorized)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views. Set only ONE of the parameters and the others should be left null. Note that overloaded methods are provided for convenience for many of the individual parameters.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
        `viewName` - name of the view
        `appDetails` - details of the app containing the view(s)
        `caseClassDetails` - details of the case class with which the view(s) are associated
        `categoryArray` - details of the category(s) with which the view(s) are associated
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(java.lang.Long viewID,
                                                                                java.lang.String viewName,
                                                                                com.tibco.bds.api.AppDetails appDetails,
                                                                                com.tibco.bds.api.CaseClassDetails caseClassDetails,
                                                                                com.tibco.bds.api.CategorySearchDetails[] categoryArray,
                                                                                com.tibco.bds.api.Uncategorized uncategorized,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views. Set only ONE of the parameters and the others should be left null. Note that overloaded methods are provided for convenience for many of the individual parameters.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
        `viewName` - name of the view
        `appDetails` - details of the app containing the view(s)
        `caseClassDetails` - details of the case class with which the view(s) are associated
        `categoryArray` - details of the category(s) with which the view(s) are associated
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(java.lang.Long viewID,
                                                                                java.lang.String viewName,
                                                                                com.tibco.bds.api.AppDetails appDetails,
                                                                                com.tibco.bds.api.CaseClassDetails caseClassDetails,
                                                                                com.tibco.bds.api.CategorySearchDetails[] categoryArray,
                                                                                com.tibco.bds.api.Uncategorized uncategorized,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails,
                                                                                boolean includeCategories)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views. Set only ONE of the parameters and the others should be left null. Note that overloaded methods are provided for convenience for many of the individual parameters.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
        `viewName` - name of the view
        `appDetails` - details of the app containing the view(s)
        `caseClassDetails` - details of the case class with which the view(s) are associated
        `categoryArray` - details of the category(s) with which the view(s) are associated
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
        `includeCategories` - If true, the response will include details of categories that contain the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(long viewID)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(long viewID,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
        `viewDetailsRequirement` - Determines the detail included in returned spec. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(long viewID,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails,
                                                                                boolean includeCategories)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewID` - ID of the view
        `viewDetailsRequirement` - Determines the detail included in returned spec. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
        `includeCategories` - If true, the response will include details of categories that contain the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(java.lang.String viewName)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewName` - name of the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(java.lang.String viewName,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewName` - name of the view
        `viewDetailsRequirement` - Determines the detail included in returned spec. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(java.lang.String viewName,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails,
                                                                                boolean includeCategories)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `viewName` - name of the view
        `viewDetailsRequirement` - Determines the detail included in returned spec. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
        `includeCategories` - If true, the response will include details of categories that contain the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.AppDetails appDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `appDetails` - details of the app containing the view(s)
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.AppDetails appDetails,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `appDetails` - details of the app containing the view(s)
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.AppDetails appDetails,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails,
                                                                                boolean includeCategories)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `appDetails` - details of the app containing the view(s)
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
        `includeCategories` - If true, the response will include details of categories that contain the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.CaseClassDetails caseClassDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `caseClassDetails` - details of the case class with which the view(s) are associated
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.CaseClassDetails caseClassDetails,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `caseClassDetails` - details of the case class with which the view(s) are associated
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.CaseClassDetails caseClassDetails,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails,
                                                                                boolean includeCategories)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `caseClassDetails` - details of the case class with which the view(s) are associated
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
        `includeCategories` - If true, the response will include details of categories that contain the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.CategorySearchDetails[] categorySearchDetails,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails,
                                                                                boolean includeCategories)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
        `includeCategories` - If true, the response will include details of categories that contain the view
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.Uncategorized uncategorized)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `uncategorized` - An Uncategorized object
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getDataViewDetails

          public com.tibco.bds.api.ViewSpecificationWithID[] getDataViewDetails(com.tibco.bds.api.Uncategorized uncategorised,
                                                                                com.tibco.bds.api.ViewDetailsRequirementEnum.Enum viewDetailsRequirement,
                                                                                boolean includeAppDetails)
                                                                         throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                com.tibco.bds.services.CaseModelReferenceFault,
                                                                                com.tibco.bds.services.CaseReferenceFault,
                                                                                com.tibco.bds.services.InternalServiceFault,
                                                                                com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view or views.
      Specified by:
        `getDataViewDetails` in interface `BusinessDataServicesPublicService`
      Parameters:
        `uncategorised` - An Uncategorized object
        `viewDetailsRequirement` - Determines the detail included in returned specs. Set null for everything.
        `includeAppDetails` - If true, the response will include details of the app to which the view relates
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### findAllCases

          public com.tibco.bds.api.SearchResults findAllCases(java.lang.String caseModelVersion,
                                                              java.lang.String caseType,
                                                              com.tibco.bds.api.PaginationOptions queryOptions)
                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                              com.tibco.bds.services.InternalServiceFault,
                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Finds all Global Case Data objects of a specified type
      Specified by:
        `findAllCases` in interface `BusinessDataServicesPublicService`
      Returns:
        SearchResults
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### findCaseByExample

          public com.tibco.bds.api.SearchResults findCaseByExample(java.lang.String caseModelVersion,
                                                                   java.lang.String caseType,
                                                                   java.lang.String casePayload,
                                                                   com.tibco.bds.api.PaginationOptions queryOptions)
                                                            throws com.tibco.bds.services.CaseDataAccessFault,
                                                                   com.tibco.bds.services.CaseModelReferenceFault,
                                                                   com.tibco.bds.services.InternalServiceFault,
                                                                   com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Find case by example - looks for a case using the searchable attributes set in the passed payload
      Specified by:
        `findCaseByExample` in interface `BusinessDataServicesPublicService`
      Returns:
        SearchResults
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault`

    - #### navigateCase

          public com.tibco.bds.api.SearchResults navigateCase(java.lang.String sourceCaseReference,
                                                              java.lang.String targetRoleName,
                                                              com.tibco.bds.api.PaginationOptions queryOptions)
                                                       throws com.tibco.bds.services.CaseDataAccessFault,
                                                              com.tibco.bds.services.CaseModelReferenceFault,
                                                              com.tibco.bds.services.CaseReferenceFault,
                                                              com.tibco.bds.services.InternalServiceFault,
                                                              com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Navigate case - navigates from an object using a given relationship
      Specified by:
        `navigateCase` in interface `BusinessDataServicesPublicService`
      Returns:
        SearchResults
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - If there is a fault relating to permissions

    - #### navigateCaseDetailed

          public com.tibco.bds.api.NavigateCaseDetailedResponseType navigateCaseDetailed(java.lang.String sourceCaseReference,
                                                                                         java.lang.String targetRoleName,
                                                                                         com.tibco.bds.api.PaginationOptions queryOptions,
                                                                                         boolean includeLabelAndType,
                                                                                         boolean includeSummary)
                                                                                  throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                         com.tibco.bds.services.CaseModelReferenceFault,
                                                                                         com.tibco.bds.services.CaseReferenceFault,
                                                                                         com.tibco.bds.services.InternalServiceFault,
                                                                                         com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Navigates association links from the given source object for all roles or a single role, with ability to include case summary in response.
      Specified by:
        `navigateCaseDetailed` in interface `BusinessDataServicesPublicService`
        `targetRoleName` - Optional - null gets all roles
        `queryOptions` - Pagination options
        `includeLabelAndType` - If true, labels for role names and (where appropriate) summary attributes included.
        `includeSummary` - If true, case summary is included along with each case reference
      Returns:
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault` - if an error occurs while accessing the database
        `com.tibco.bds.services.CaseModelReferenceFault` - if an error occurs while attempting to access the specified Case Model definition
        `com.tibco.bds.services.CaseReferenceFault` - if an error occurs while attempting to de-reference one of the Case References
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - If there is a fault relating to permissions

    - #### getCaseSummary

          public com.tibco.bds.api.CaseReferenceWithSummaryDetailsType[] getCaseSummary(java.lang.String[] caseReference)
                                                                                 throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                        com.tibco.bds.services.CaseModelReferenceFault,
                                                                                        com.tibco.bds.services.CaseReferenceFault,
                                                                                        com.tibco.bds.services.InternalServiceFault,
                                                                                        com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getCaseSummary` in interface `BusinessDataServicesPublicService`
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseSummary

          public com.tibco.bds.api.CaseReferenceWithSummaryDetailsType[] getCaseSummary(java.lang.String[] caseReference,
                                                                                        boolean includeLabelAndType)
                                                                                 throws com.tibco.bds.services.CaseDataAccessFault,
                                                                                        com.tibco.bds.services.CaseModelReferenceFault,
                                                                                        com.tibco.bds.services.CaseReferenceFault,
                                                                                        com.tibco.bds.services.InternalServiceFault,
                                                                                        com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      Retrieves the definition of an existing saved view.
      Specified by:
        `getCaseSummary` in interface `BusinessDataServicesPublicService`
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

    - #### getCaseState

          public com.tibco.bds.api.CaseState[] getCaseState(java.lang.String[] caseReference,
                                                            boolean includeAllowedValues)
                                                     throws com.tibco.bds.services.CaseDataAccessFault,
                                                            com.tibco.bds.services.CaseModelReferenceFault,
                                                            com.tibco.bds.services.CaseReferenceFault,
                                                            com.tibco.bds.services.InternalServiceFault,
                                                            com.tibco.bds.services.SecurityFault

      Description copied from interface: `BusinessDataServicesPublicService`
      For a given case or cases, gets the value of its case state attribute, optionally also returning all possible allowed values.
      Specified by:
        `getCaseState` in interface `BusinessDataServicesPublicService`
      Returns:
      Throws:
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelReferenceFault`
        `com.tibco.bds.services.CaseReferenceFault`
        `com.tibco.bds.services.InternalServiceFault`
        `com.tibco.bds.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.